import time

from machine import UART, Pin

# Initialisation UART2 : TX=17, RX=16
uart = UART(2, baudrate=9600, tx=17, rx=16, timeout=100)

def send_at(cmd, wait=0.3):
    full_cmd = cmd + '\r\n'
    uart.write(full_cmd)
    print(">>", cmd)
    time.sleep(wait)
    while uart.any():
        response = uart.readline()
        if response:
            print("<<", response.decode().strip())

def ascii_to_hex(s):
    return ''.join(f'{ord(c):02X}' for c in s)

# Initialisation du module LoRa-E5 en mode test
print("Initialisation du module LoRa-E5...")
send_at("AT")
send_at("AT+MODE=TEST")

# Paramètres : fréquence, puissance, SF, BW
# Exemple : 868.1 MHz, puissance 14 dBm, SF12, BW 125 kHz
FREQ = "868100000"
POWER = "14"
SF = "12"
BW = "125"

# Envoi en boucle
message_count = 1

while True:
    text = f"MESSAGE {message_count}"
    hex_payload = ascii_to_hex(text)
    
    at_cmd = f"AT+TEST=TXLRSTR,{FREQ},{POWER},{SF},{BW},{hex_payload}"
    send_at(at_cmd)
    
    message_count += 1
    time.sleep(5)
