# Copyright 2020 LeMaRiva|tech lemariva.com
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

"""
# ES32 TTGO v1.0 
device_config = {
    'miso':19,
    'mosi':27,
    'ss':18,
    'sck':5,
    'dio_0':26,
    'reset':14,
    'led':2, 
}

# M5Stack ATOM Matrix
device_config = {
    'miso':23,
    'mosi':19,
    'ss':22,
    'sck':33,
    'dio_0':25,
    'reset':21,
    'led':12, 
}
"""

"""
#M5Stack & LoRA868 Module
device_config = {
    'miso':19,
    'mosi':23,
    'ss':5,
    'sck':18,
    'dio_0':26,
    'reset':36,
    'led':12, 
}
"""

# Configuration des broches pour le module LoRa E5 avec un ESP32
device_config = {
    'miso': 19,      # Pin MISO (Master In Slave Out)
    'mosi': 27,      # Pin MOSI (Master Out Slave In)
    'ss': 18,        # Pin SS (Chip Select)
    'sck': 5,        # Pin SCK (Clock)
    'dio_0': 26,     # Pin DIO0 (utilisé pour le mode interruption ou pour la détection de la fin de transmission)
    'reset': 14,     # Pin RESET (si tu veux contrôler le reset du module)
    'led': 2,        # Pin LED (si tu veux utiliser une LED pour indiquer l'état de l'appareil)
}


app_config = {
    'loop': 200,
    'sleep': 100,
}

lora_parameters = {
    'frequency': 868E6, 
    'tx_power_level': 2, 
    'signal_bandwidth': 125E3,    
    'spreading_factor': 12, 
    'coding_rate': 5, 
    'preamble_length': 8,
    'implicit_header': False, 
    'sync_word': 0x12, 
    'enable_CRC': False,
    'invert_IQ': False,
}

wifi_config = {
    'ssid':'ObjetsConnectes',
    'password':'Pandemie2021'
}